import moment from 'moment';
import Vue from 'vue';
import 'moment/locale/zh-cn';
moment.locale('zh-cn');
require('./validators.js');
import vcolorpicker from 'vcolorpicker'
import VXETable from 'vxe-table'
import planCalendar from '@/blocks/components/planCalendar/index.js'

import 'vxe-table/lib/style.css'
Vue.use(VXETable)
Vue.use(planCalendar)

import TTable from '@/components/t-table'



const plglib = require('plglib')
require('plglib/lib/plglib.css');
import tableMixin from './table.mixins.js';
//import tableHover from './tableHover.mixins.js';
import signMixin from './sign.mixins.js';
plglib.Table.TableChild.mixins.push(tableMixin);
//plglib.Table.TableChild.mixins.push(tableHover);
plglib.Table.mixins.push(signMixin);






//process.env.NODE_ENV == 'plglib' && plglib.Table.TableChild.mixins.push(tableMixin);

Vue.use(plglib);
Vue.use(TTable)

Vue.use(vcolorpicker)


Vue.prototype.$exception = plglib.ExceptionModal;
Vue.prototype.$moment = Vue.prototype.moment = moment;




// const createTextVNode= function () {
//     const _createTextVNode = Vue.prototype._v
//     return function (val) {
//         return _createTextVNode(this.$lang(val))
//     }
// }
// Vue.prototype._v=createTextVNode()